using System;
using System.Collections.Generic;
using BeWo.Service.Plugins;
using BS.Shared.Core;
using BS.Shared.DataContracts;
using BS.Shared.Services;

namespace VkmHamm
{
	public class CustomGroupDurationCalculator : GroupDurationCalculator
	{
		public override GroupDurationDC CalculateGroupDuration(int personCount, int employeeCount, decimal totalDuration)
		{
			Calculations calc = Calculations.GetInstance(null);
			totalDuration = calc.GetRoundedDuration(10, totalDuration);
				
			return new GroupDurationDC()
			{
				SingleDuration = ((totalDuration*employeeCount)/personCount),
				TotalDuration = totalDuration
			};
		}

	}
}
